For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • LEDGER OFF-RAMP WRAPPER API
    • Overview
    • GETGet Capabilities
    • GETGet Crypto Currencies
    • GETGet Quote
    • GETGet Sell Redirect
    • POSTCreate Sell Order
Dashboard
LogoLogo
LEDGER OFF-RAMP WRAPPER API

Create Sell Order

||View as Markdown|
POST
/sell
POST
/ledger/v1/sell
$curl -X POST https://api-stg.transak.com/ledger/v1/sell \
> -H "x-api-key: " \
> -H "Content-Type: application/json" \
> -d '{
> "quoteId": "e8720a2a-2b19-4674-a68f-f4fc3d065c64",
> "amount": "68.99",
> "refundAddress": "tb1qrefundaddressexample",
> "fromCryptoCurrency": "bitcoin_testnet",
> "toFiatCurrency": "EUR",
> "payloadCryptoCurrency": "BTC",
> "nonce": "123456"
>}'
1{
2 "sellId": "44a353ce-0a3c-4e3e-95f7-2b34e07f63ba",
3 "amount": "68.99",
4 "payinAddress": "tb1qdm6wxntlp4xh4rydmqy3reweu6l6y25c7p7yx2",
5 "createdAt": "2025-04-03T06:59:33.834Z",
6 "providerFees": "3",
7 "referralFees": "2.26",
8 "providerSig": {
9 "payload": "ChdhbnNodWwuZ2FyZ0B0cmFuc2FrLmNvbRIPYml0Y29pbl90ZXN0bmV0GgMBhqAiKnRiMXFkbTZ3eG50bHA0eGg0cnlkbXF5M3Jld2V1Nmw2eTI1YzdwN3l4MioDQlRDMgwKCAAAAAAAABrzEAI6IN5GF9rzEZhScN_z-jOZ42j6o3mC7I4QWZW0rx_ApcNV",
10 "signature": "Qyfpgt_d4p_wEsbELNRYZ1KHc7TAvEuPfnjzW8JXryPMoVjOZk8NVpHtKJcLXMr5LvFrsKhHUdgJ9qwJpsN65g"
11 }
12}

Create a sell order for the selected quote.

The API also generates the payload and signature used by the Ledger device to verify transaction data with the corresponding private/public key pair.

Was this page helpful?
Previous

Get Sell Redirect

Built with

Headers

x-api-keystringRequired
Transak API key available from the Transak Dashboard.

Request

This endpoint expects an object.
quoteIdstringRequired
Quote identifier returned from the quote endpoint.
amountstringRequired
Sell amount in crypto units.
refundAddressstringRequired
Refund wallet address.
fromCryptoCurrencystringRequired

Ledger-formatted crypto currency identifier.

toFiatCurrencystringRequired
Fiat currency code.
payloadCryptoCurrencystringRequired
Asset identifier used in the signed Ledger payload.
noncestringRequired

Nonce used for device-side verification.

Response

Sell order created successfully.
sellIdstringformat: "uuid"
Sell order identifier generated by the wrapper.
amountstring
Confirmed sell amount.
payinAddressstring
Deposit address where the user must send crypto.
createdAtdatetime
Sell order creation timestamp.
providerFeesstring
Provider fee charged for the sell order.
referralFeesstring
Referral fee charged for the sell order.
providerSigobject

Errors

400
Bad Request Error
500
Internal Server Error